package com.ekexiu.portal.service;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;

import com.ekexiu.portal.dao.OperationStatusDao;
import com.ekexiu.portal.po.OperationStatus;

@Path("/operationStatus")
public class OperationStatusService {
	@Autowrie
	private OperationStatusDao operationStatusDao;

	public OperationStatusDao getOperationStatusDao() {
		return operationStatusDao;
	}

	public void setOperationStatusDao(OperationStatusDao operationStatusDao) {
		this.operationStatusDao = operationStatusDao;
	}
	
	@Get
	@Path("/qa")
	public List<OperationStatus> queryAll(@JdbcConn(true) Connection con) throws SQLException{
		return this.operationStatusDao.query(con);
	}
}
